import { ReactNode } from "react";
import { CombinedError } from "urql";
import { HandleCombinedErrorContext } from "./MqlContext";
declare type Props = {
    getToken: () => Promise<string>;
    isAuthenticated: boolean;
    captureException?: (e: CombinedError, context: HandleCombinedErrorContext) => void;
    children: ReactNode;
};
declare function MqlContextProvider({ getToken, children, isAuthenticated, captureException, }: Props): JSX.Element;
export default MqlContextProvider;
